Bug 1618767 (CVE-2018-12539) - CVE-2018-12539 IBM JDK: privilege escalation via insufficiently restricted access to Attach API
Summary: CVE-2018-12539 IBM JDK: privilege escalation via insufficiently restricted ac...
Status: CLOSED ERRATA
Alias: CVE-2018-12539
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20180511,repo...
Keywords: Security
Depends On: 1618719 1618720 1618721 1619180 1619181 1619182 1624844 1624845 1624870 1625243
Blocks: 1594250
TreeView+ depends on / blocked
 
Reported: 2018-08-17 14:21 UTC by Tomas Hoger
Modified: 2018-09-17 15:14 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-09-17 15:14:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2568 None None None 2018-08-27 14:21 UTC
Red Hat Product Errata RHSA-2018:2569 None None None 2018-08-27 14:21 UTC
Red Hat Product Errata RHSA-2018:2575 None None None 2018-08-28 19:19 UTC
Red Hat Product Errata RHSA-2018:2576 None None None 2018-08-28 19:21 UTC
Red Hat Product Errata RHSA-2018:2712 None None None 2018-09-17 14:50 UTC
Red Hat Product Errata RHSA-2018:2713 None None None 2018-09-17 14:54 UTC

Description Tomas Hoger 2018-08-17 14:21:00 UTC
IBM JDK 8 SR5 FP20 (8.0.5.20), 7 R1 SR4 FP30 (7.1.4.30), 7 SR10 FP30 (7.0.10.30), and 6 SR16 FP70 (6.0.16.70) fix a flaw described by upstream as:

Eclipse OpenJ9 could allow a local attacker to gain elevated privileges on the system, caused by the failure to restrict the use of Java Attach API to connect to an Eclipse OpenJ9 or IBM JVM on the same machine and use Attach API operations to only the process owner. An attacker could exploit this vulnerability to execute untrusted native code and gain elevated privileges on the system.

References:

https://www-01.ibm.com/support/docview.wss?uid=ibm10719653
https://developer.ibm.com/javasdk/support/security-vulnerabilities/#IBM_Security_Update_August_2018

More details can be found in the Eclipse bugzilla:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=534589#c3

Comment 1 errata-xmlrpc 2018-08-27 14:20:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2018:2568 https://access.redhat.com/errata/RHSA-2018:2568

Comment 2 errata-xmlrpc 2018-08-27 14:21:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2018:2569 https://access.redhat.com/errata/RHSA-2018:2569

Comment 3 errata-xmlrpc 2018-08-28 19:19:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2018:2575 https://access.redhat.com/errata/RHSA-2018:2575

Comment 4 errata-xmlrpc 2018-08-28 19:20:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2018:2576 https://access.redhat.com/errata/RHSA-2018:2576

Comment 8 errata-xmlrpc 2018-09-17 14:50:53 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.6
  Red Hat Satellite 5.7

Via RHSA-2018:2712 https://access.redhat.com/errata/RHSA-2018:2712

Comment 9 errata-xmlrpc 2018-09-17 14:54:21 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.8

Via RHSA-2018:2713 https://access.redhat.com/errata/RHSA-2018:2713


Note You need to log in before you can comment on or make changes to this bug.